The build's log: from the build pod while it runs, from the kept tail after. With `follow=true`, a live stream of new lines.
const url = 'https://example.com/api/v1/projects/example/environments/example/apps/example/builds/example/logs';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/projects/example/environments/example/apps/example/builds/example/logsParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Project name
Environment short name
App name
Build id
Query Parameters
Section titled “Query Parameters”Keep the connection open and send new lines as text/event-stream:
line events (a [LogLine]) and an end event (a [LogEnd]) when the
build’s log stops.
Responses
Section titled “Responses”The log as text; with follow, text/event-stream of line (LogLine) and end (LogEnd) events
Problem Details body.
object
Stable machine-readable code, e.g. forbidden.
Short human readable title.
HTTP status.
Details, if safe to expose.
Example
{ "code": "forbidden"}Problem Details body.
object
Stable machine-readable code, e.g. forbidden.
Short human readable title.
HTTP status.
Details, if safe to expose.
Example
{ "code": "forbidden"}Too many followed logs open
Problem Details body.
object
Stable machine-readable code, e.g. forbidden.
Short human readable title.
HTTP status.
Details, if safe to expose.
Example
{ "code": "forbidden"}Problem Details body.
object
Stable machine-readable code, e.g. forbidden.
Short human readable title.
HTTP status.
Details, if safe to expose.
Example
{ "code": "forbidden"}